Bullet Collision Detection & Physics Library: bFile.cpp File Reference

Bullet Collision Detection & Physics Library

Macros | Functions | Variables
bFile.cpp File Reference
`#include "bFile.h"`
`#include "bCommon.h"`
`#include "bChunk.h"`
`#include "bDNA.h"`
`#include <math.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "bDefines.h"`
`#include "LinearMath/btSerializer.h"`
`#include "LinearMath/btAlignedAllocator.h"`
`#include "LinearMath/btMinMax.h"`
Include dependency graph for bFile.cpp:

Go to the source code of this file.

## Macros
#define | SIZEOFBLENDERHEADER 12
#define | MAX_ARRAY_LENGTH 512
#define | MAX_STRLEN 1024
#define | getEle(value, current, type, cast, size, ptr)
#define | setEle(value, current, type, cast, size, ptr)

## Functions
const char * | getCleanName (const char *memName, char *buffer)
static void | getElement (int arrayLen, const char *cur, const char *old, char *oldPtr, char *curData)

## Variables
int | numallocs = 0

## Macro Definition Documentation

## ◆ getEle

#define getEle | ( |  | value,
|  |  | current,
|  |  | type,
|  |  | cast,
|  |  | size,
|  |  | ptr )

Value:
if (strcmp(current, type) == 0) \
{ \
value = (*(cast *)ptr); \
ptr += size; \
}
size
static DBVT_INLINE btScalar size(const btDbvtVolume &a)
Definition btDbvt.cpp:52

## ◆ MAX_ARRAY_LENGTH

#define MAX_ARRAY_LENGTH 512

Definition at line 28 of file bFile.cpp.

## ◆ MAX_STRLEN

#define MAX_STRLEN 1024

Definition at line 30 of file bFile.cpp.

## ◆ setEle

#define setEle | ( |  | value,
|  |  | current,
|  |  | type,
|  |  | cast,
|  |  | size,
|  |  | ptr )

Value:
if (strcmp(current, type) == 0) \
{ \
(*(cast *)ptr) = (cast)value; \
ptr += size; \
}

## ◆ SIZEOFBLENDERHEADER

#define SIZEOFBLENDERHEADER 12

Definition at line 27 of file bFile.cpp.

## Function Documentation

## ◆ getCleanName()

const char * getCleanName | ( | const char * | memName,
|  | char * | buffer )

Definition at line 32 of file bFile.cpp.

## ◆ getElement()

void getElement | ( | int | arrayLen,
|  | const char * | cur,
|  | const char * | old,
|  | char * | oldPtr,
|  | char * | curData )
| static

Definition at line 817 of file bFile.cpp.

## Variable Documentation

## ◆ numallocs

int numallocs = 0

Definition at line 52 of file bFile.cpp.